Subject: RE: on NAT-PT

From: "Karim El-Malki (EAB)" <[email-masked]>
Date: Mon, 2 Dec 2002 18:00:34 +0100

> Karim wrote:
 > >The 3g link-layer (pdp context) cannot support ipv4 and ipv6
 > >together, so a phone having an ipv6 pdp context needs 
 > application proxies
 > >and translators to communicate with ipv4 hosts.
 > 
 > This does not match my understanding.  I thought that a 3G phone
 > could open several simultaneous PDP contexts, and that a dual
 > stack phone could have simultaneous IPv4 and IPv6 PDP contexts.
 > Am I mistaken?

You would be mistaken when we consider IMS. If I have an IMS IPv6 pdp context,
and want to communicate using IMS services with non-3g IPv4 hosts that
are using IPv4 SIP based services, then I can't use another v4 pdp context.
That's because IMS is only ipv6. So a translator + sip alg would be useful.

In general, you can have multiple pdp contexts active as requested by
app.s. However setting up another pdp context would mean using up
more resources and some setup latency. It would be simpler if a phone
which already has one active v6 pdp context could use it to communicate
with v4 and v6 hosts. This could be done by using app. proxies for the most
used app.s and translators for the rest. 

Rgds
/Karim